%define debug_package %{nil}

Name:		libfwnt
Version:	20170115
Release:	1%{?dist}
Summary:	Library to support common Windows NT specific formats
Group:		System Environment/Libraries
License:	LGPL
Source:		%{name}-experimental-%{version}.tar.gz
URL:		https://github.com/libyal/libfwnt/wiki
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  autoconf automake pkgconfig gettext-devel libtool
    
%description
libfwnt is a library to support common Windows NT specific formats

%package devel
Summary: Header files and libraries for developing applications for libfwnt
Group: Development/Libraries
Requires: libfwnt = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libfwnt.

%package python
Summary: Python 2 bindings for libfwnt
Group: System Environment/Libraries
Requires: libfwnt = %{version}-%{release} python
BuildRequires: python-devel

%description python
Python 2 bindings for libfwnt

%if 0%{?centos} != 6
%package python3
Summary: Python 3 bindings for libfwnt
Group: System Environment/Libraries
Requires: libfwnt = %{version}-%{release} python3
BuildRequires: python3-devel

%description python3
Python 3 bindings for libfwnt
%endif

%prep
%setup -q

%build
sh synclibs.sh
sh autogen.sh
%if 0%{?centos} != 6
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
%else
%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libfwnt.pc
%{_includedir}/*
%{_mandir}/man3/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%if 0%{?centos} != 6
%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so
%endif

%changelog
* Sun Jan 15 2017 Lawrence R. Rogers<lrr@cert.org> 20170115-1
* Release 20170115-1
	Version from 20170115

* Thu Nov  3 2016 Lawrence R. Rogers<lrr@cert.org> 20161103-1
* Release 20161103-1
	20161103
	* code clean up
	* worked on tests
	* worked on lzxpress huffman

	20161102
	* worked on tests

	20161031
	* worked on tests

* Mon Apr 18 2016 Joachim Metz <joachim.metz@gmail.com> 20160418-1
- Auto-generated

